For the complete documentation index, see llms.txt. This page is also available as Markdown.

Exchanges

Get all exchanges with optional filtering

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Query parameters
enabledbooleanOptional

Filter by enabled status

chainIdstringOptional

Filter by blockchain chain ID

Responses
200

List of exchanges

application/json
idnumberOptional

Exchange identifier

Example: 1
typestringOptional

Exchange type e.g. CEX, DEX, PREDICTION

Example: CEX
namestringOptional

Exchange name e.g. Binance

Example: binance
servicestringOptional

Exchange service e.g. spot, futures

Example: spot
enabledbooleanOptional

Whether the exchange is enabled

Example: true
hasExchangeRatebooleanOptional

Whether the exchange provides exchange rates to the system

Example: true
extrabooleanOptional

Whether the exchange API keys need extra information other than the API key and secret

Example: false
get/api/v2/exchange
GET /api/v2/exchange HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "type": "CEX",
    "name": "binance",
    "service": "spot",
    "enabled": true,
    "hasExchangeRate": true,
    "extra": false
  }
]

Get all CEX exchanges

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of enabled CEX exchanges

application/json
idnumberOptional

Exchange identifier

Example: 1
typestringOptional

Exchange type e.g. CEX, DEX, PREDICTION

Example: CEX
namestringOptional

Exchange name e.g. Binance

Example: binance
servicestringOptional

Exchange service e.g. spot, futures

Example: spot
enabledbooleanOptional

Whether the exchange is enabled

Example: true
hasExchangeRatebooleanOptional

Whether the exchange provides exchange rates to the system

Example: true
extrabooleanOptional

Whether the exchange API keys need extra information other than the API key and secret

Example: false
get/api/v2/exchange/cex
GET /api/v2/exchange/cex HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "type": "CEX",
    "name": "binance",
    "service": "spot",
    "enabled": true,
    "hasExchangeRate": true,
    "extra": false
  }
]

Get all DEX exchanges by chain ID

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Path parameters
chainstringRequired

Blockchain chain ID

Responses
200

List of DEX exchanges for the specified chain

application/json
idnumberOptional

Exchange identifier

Example: 1
typestringOptional

Exchange type e.g. CEX, DEX, PREDICTION

Example: CEX
namestringOptional

Exchange name e.g. Binance

Example: binance
servicestringOptional

Exchange service e.g. spot, futures

Example: spot
enabledbooleanOptional

Whether the exchange is enabled

Example: true
hasExchangeRatebooleanOptional

Whether the exchange provides exchange rates to the system

Example: true
extrabooleanOptional

Whether the exchange API keys need extra information other than the API key and secret

Example: false
get/api/v2/exchange/dex/{chain}
GET /api/v2/exchange/dex/{chain} HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "type": "CEX",
    "name": "binance",
    "service": "spot",
    "enabled": true,
    "hasExchangeRate": true,
    "extra": false
  }
]

Get all Prediction exchanges

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of prediction exchanges

application/json
idnumberOptional

Exchange identifier

Example: 1
typestringOptional

Exchange type e.g. CEX, DEX, PREDICTION

Example: CEX
namestringOptional

Exchange name e.g. Binance

Example: binance
servicestringOptional

Exchange service e.g. spot, futures

Example: spot
enabledbooleanOptional

Whether the exchange is enabled

Example: true
hasExchangeRatebooleanOptional

Whether the exchange provides exchange rates to the system

Example: true
extrabooleanOptional

Whether the exchange API keys need extra information other than the API key and secret

Example: false
get/api/v2/exchange/prediction
GET /api/v2/exchange/prediction HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "type": "CEX",
    "name": "binance",
    "service": "spot",
    "enabled": true,
    "hasExchangeRate": true,
    "extra": false
  }
]

Get all exchanges with exchange rates

get
Authorizations
api-keystringRequired

Your public API key

signaturestringRequired

HMAC SHA256 or ML-DSA44 signature of the request

timestampstringRequired

Unix timestamp used for request signing

Responses
200

List of enabled exchanges with exchange rates

application/json
idnumberOptional

Exchange identifier

Example: 1
typestringOptional

Exchange type e.g. CEX, DEX, PREDICTION

Example: CEX
namestringOptional

Exchange name e.g. Binance

Example: binance
servicestringOptional

Exchange service e.g. spot, futures

Example: spot
enabledbooleanOptional

Whether the exchange is enabled

Example: true
hasExchangeRatebooleanOptional

Whether the exchange provides exchange rates to the system

Example: true
extrabooleanOptional

Whether the exchange API keys need extra information other than the API key and secret

Example: false
get/api/v2/exchange/with-exchange-rate
GET /api/v2/exchange/with-exchange-rate HTTP/1.1
Host: api.sigrex.io
api-key: YOUR_API_KEY
signature: YOUR_API_KEY
timestamp: YOUR_API_KEY
Accept: */*
[
  {
    "id": 1,
    "type": "CEX",
    "name": "binance",
    "service": "spot",
    "enabled": true,
    "hasExchangeRate": true,
    "extra": false
  }
]

Last updated